OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
AppStdL

# AppStdL_Application Class Reference

`#include <AppStdL_Application.hxx>`

Inheritance diagram for AppStdL_Application:

[legend]

## Public Member Functions
Standard_EXPORT | AppStdL_Application ()
virtual Standard_EXPORT Handle_CDM_MessageDriver | MessageDriver ()
| By default returns a NullMessageDriver; .
virtual Standard_EXPORT void | Formats (TColStd_SequenceOfExtendedString &theFormats)
| returns supported format for application documents.
Standard_EXPORT Standard_CString | ResourcesName ()
| returns the file name which contains application resources
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_CDM_MessageDriver | myMessageDriver

## Constructor & Destructor Documentation

Standard_EXPORT AppStdL_Application::AppStdL_Application | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT void AppStdL_Application::Formats | ( | TColStd_SequenceOfExtendedString & | theFormats | ) | `[virtual]`

| Implements TDocStd_Application.

Standard_EXPORT const AppStdL_Application::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDocStd_Application.

virtual Standard_EXPORT Handle_CDM_MessageDriver AppStdL_Application::MessageDriver | ( |  | ) | `[virtual]`

| Reimplemented from CDM_Application.

Standard_EXPORT Standard_CString AppStdL_Application::ResourcesName | ( |  | ) | `[virtual]`

| Implements TDocStd_Application.

## Field Documentation

Handle_CDM_MessageDriver AppStdL_Application::myMessageDriver`[private]`

The documentation for this class was generated from the following file:

- AppStdL_Application.hxx